'# MWS Version: Version 2009.5 - Mar 19 2009 - 23:18:43

'# length = mm
'# frequency = GHz
'# time = ns
'# frequency range: fmin = 6 fmax = 14


'@ use template: Coupler (Planar, Microstrip, cpw)

' Template for Planar Coupler (Microstrip or Coplanar)
' ====================================================
' (CSTxMWSxONLY)
' draw the bounding box
Plot.DrawBox True
' set units to mm, ghz
With Units 
     .Geometry "mm" 
     .Frequency "ghz" 
     .Time "ns" 
End With 
' set background material to vacuum
With Background 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
End With 
' set boundary conditions to electric
With Boundary
     .Xmin "electric" 
     .Xmax "electric" 
     .Ymin "electric" 
     .Ymax "electric" 
     .Zmin "electric" 
     .Zmax "electric" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
End With
' optimize mesh settings for planar structures
With Mesh 
     .MergeThinPECLayerFixpoints "True"
     .RatioLimit "20" 
     .AutomeshRefineAtPecLines "True", "6"
     .FPBAAvoidNonRegUnite "True" 
     .ConsiderSpaceForLowerMeshLimit "False" 
End With 
' change mesh adaption scheme to energy 
' 		(planar structures tend to store high energy 
'     	 locally at edges rather than globally in volume)
MeshAdaption3D.SetAdaptionStrategy "Energy"

'@ new component: component1

Component.New "component1"

'@ define brick: component1:dielectric

With Brick
     .Reset 
     .Name "dielectric" 
     .Component "component1" 
     .Material "Vacuum" 
     .Xrange "0", "die_l" 
     .Yrange "-die_w", "0" 
     .Zrange "0", "die_h" 
     .Create
End With

'@ pick mid point

Pick.PickMidpointFromId "component1:dielectric", "3"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ move wcs

WCS.MoveWCS "local", "d", "0.0", "0.0"

'@ new curve: curve1

Curve.NewCurve "curve1"

'@ define curve circle: curve1:߿ǻ

With Circle
     .Reset 
     .Name "߿ǻ" 
     .Curve "curve1" 
     .Radius "0.5*Ds" 
     .Xcenter "0.5*Ds" 
     .Ycenter "0" 
     .Segments "0" 
     .Create
End With

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ activate local coordinates

WCS.ActivateWCS "local"

'@ move wcs

WCS.MoveWCS "local", "Ds", "0.0", "0.0"

'@ define curve rectangle: curve1:slot

With Rectangle
     .Reset 
     .Name "slot" 
     .Curve "curve1" 
     .Xrange "0", "slot_l" 
     .Yrange "-0.5*slot_w", "0.5*slot_w" 
     .Create
End With

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ define material: Rogers RO4350 (loss free)

With Material
     .Reset
     .Name "Rogers RO4350 (loss free)"
.FrqType "all" 
.Type "Normal" 
.Epsilon "3.48" 
.Mue "1.0" 
.Kappa "0.0" 
.TanD "0.0" 
.TanDFreq "0.0" 
.TanDGiven "False" 
.TanDModel "ConstTanD" 
.KappaM "0.0" 
.TanDM "0.0" 
.TanDMFreq "0.0" 
.TanDMGiven "False" 
.TanDMModel "ConstKappa" 
.DispModelEps "None" 
.DispModelMue "None" 
.DispersiveFittingSchemeEps "General 1st" 
.DispersiveFittingSchemeMue "General 1st" 
.UseGeneralDispersionEps "False" 
.UseGeneralDispersionMue "False" 
.Rho "0.0" 
.ThermalType "Normal" 
.ThermalConductivity "0.62" 
.SetActiveMaterial "all" 
.Colour "0.75", "0.95", "0.85" 
.Wireframe "False" 
.Transparency "0" 
.Create
End With

'@ change material: component1:dielectric to: Rogers RO4350 (loss free)

Solid.ChangeMaterial "component1:dielectric", "Rogers RO4350 (loss free)"

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "1"

'@ define extrude: component1:cu

With Extrude 
     .Reset 
     .Name "cu" 
     .Component "component1" 
     .Material "PEC" 
     .Mode "Picks" 
     .Height "t" 
     .Twist "0.0" 
     .Taper "0.0" 
     .UsePicksForHeight "False" 
     .DeleteBaseFaceSolid "False" 
     .ClearPickedFace "True" 
     .Create 
End With

'@ transform curve: translate curve1:߿ǻ

With Transform 
     .Reset 
     .Name "curve1:߿ǻ" 
     .Vector "0", "0", "t" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .TranslateCurve 
End With

'@ transform curve: translate curve1:slot

With Transform 
     .Reset 
     .Name "curve1:slot" 
     .Vector "0", "0", "t" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .TranslateCurve 
End With

'@ pick end point

Pick.PickCurveEndpointFromId "curve1:slot", "4"

'@ pick end point

Pick.PickCurveEndpointFromId "curve1:slot", "1"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ define curve line: curve1:line1

With Line
     .Reset 
     .Name "line1" 
     .Curve "curve1" 
     .X1 "0" 
     .Y1 "0" 
     .X2 "-0.5*Ds" 
     .Y2 "0" 
     .Create
End With

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ define curve line: curve1:line2

With Line
     .Reset 
     .Name "line2" 
     .Curve "curve1" 
     .X1 "0" 
     .Y1 "0" 
     .X2 "-0.5*Ds" 
     .Y2 "0" 
     .Create
End With

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ trim curves: curve1:slot with: curve1:߿ǻ

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "slot" 
  .CurveItem2 "߿ǻ" 
  .DeleteEdges1 "4,5" 
  .DeleteEdges2 "" 
  .Trim 
End With

'@ trim curves: curve1:line2 with: curve1:߿ǻ

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "line2" 
  .CurveItem2 "߿ǻ" 
  .DeleteEdges1 "" 
  .DeleteEdges2 "1" 
  .Trim 
End With

'@ trim curves: curve1:line1 with: curve1:߿ǻ

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "line1" 
  .CurveItem2 "߿ǻ" 
  .DeleteEdges1 "" 
  .DeleteEdges2 "3" 
  .Trim 
End With

'@ trim curves: curve1:slot with: curve1:line2

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "slot" 
  .CurveItem2 "line2" 
  .DeleteEdges1 "" 
  .DeleteEdges2 "2" 
  .Trim 
End With

'@ trim curves: curve1:slot with: curve1:line1

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "slot" 
  .CurveItem2 "line1" 
  .DeleteEdges1 "" 
  .DeleteEdges2 "2" 
  .Trim 
End With

'@ define extrudeprofile: component1:slot

With ExtrudeCurve
     .Reset 
     .Name "slot" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "-t" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve1:߿ǻ" 
     .Create
End With

'@ boolean subtract shapes: component1:cu, component1:slot

With Solid 
     .Version 9
     .Subtract "component1:cu", "component1:slot" 
End With

'@ pick end point

Pick.PickEndpointFromId "component1:cu", "24"

'@ pick end point

Pick.PickEndpointFromId "component1:cu", "19"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ move wcs

WCS.MoveWCS "local", "0.0", "0.5*slot_w", "0.0"

'@ move wcs

WCS.MoveWCS "local", "ls", "0.0", "0.0"

'@ clear picks

Pick.ClearAllPicks

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ pick end point

Pick.PickCurveEndpointFromId "curve1:microstrip", "3"

'@ pick end point

Pick.PickEndpointFromId "component1:cu", "24"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ move wcs

WCS.MoveWCS "local", "0.0", "-0.5*slot_w", "0.0"

'@ move wcs

WCS.MoveWCS "local", "ls", "0.0", "0.0"

'@ move wcs

WCS.MoveWCS "local", "0.0", "lm", "0.0"

'@ define curve line: curve1:line1

With Line
     .Reset 
     .Name "line1" 
     .Curve "curve1" 
     .X1 "-0.5*micro_w" 
     .Y1 "0" 
     .X2 "-0.5*micro_w" 
     .Y2 "-l" 
     .Create
End With

'@ define curve line: curve1:line2

With Line
     .Reset 
     .Name "line2" 
     .Curve "curve1" 
     .X1 "0.5*micro_w" 
     .Y1 "0" 
     .X2 "0.5*micro_w" 
     .Y2 "-l-micro_w" 
     .Create
End With

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ pick end point

Pick.PickCurveEndpointFromId "curve1:line1", "2"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ define curve line: curve1:line3

With Line
     .Reset 
     .Name "line3" 
     .Curve "curve1" 
     .X1 "0" 
     .Y1 "0" 
     .X2 "-ls-Ds-d" 
     .Y2 "0" 
     .Create
End With

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ pick end point

Pick.PickCurveEndpointFromId "curve1:line2", "2"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ define curve line: curve1:line4

With Line
     .Reset 
     .Name "line4" 
     .Curve "curve1" 
     .X1 "0" 
     .Y1 "0" 
     .X2 "-micro_w-ls-Ds-d" 
     .Y2 "0" 
     .Create
End With

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ pick edge

Pick.PickEdgeFromId "component1:cu", "17", "10"

'@ define curve item from edges: curve1:edges1

With EdgeCurve
     .Reset 
     .Name "edges1" 
     .Curve "curve1" 
     .AddEdge "component1:cu", "17" 
     .Create
End With

'@ trim curves: curve1:edges1 with: curve1:line4

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "edges1" 
  .CurveItem2 "line4" 
  .DeleteEdges1 "17" 
  .DeleteEdges2 "2" 
  .Trim 
End With

'@ trim curves: curve1:edges1 with: curve1:line3

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "edges1" 
  .CurveItem2 "line3" 
  .DeleteEdges1 "19" 
  .DeleteEdges2 "2" 
  .Trim 
End With

'@ pick end point

Pick.PickCurveEndpointFromId "curve1:line1", "1"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ move wcs

WCS.MoveWCS "local", "0.0", "-0.5*micro_w*tanD(theta)", "0.0"

'@ move wcs

WCS.MoveWCS "local", "0.5*micro_w", "0.0", "0.0"

'@ define curve arc: curve1:arc1

With Arc
     .Reset 
     .Name "arc1" 
     .Curve "curve1" 
     .Orientation "CounterClockwise" 
     .XCenter "0" 
     .YCenter "0" 
     .X1 "re(R, theta)" 
     .Y1 "im(R, theta)" 
     .X2 "re(R,180-theta0)" 
     .Y2 "im(R, 180-theta0)" 
     .Angle "theta0" 
     .UseAngle "True" 
     .Segments "0" 
     .Create
End With

'@ clear picks

Pick.ClearAllPicks

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ pick end point

Pick.PickCurveEndpointFromId "curve1:line2", "1"

'@ pick end point

Pick.PickCurveEndpointFromId "curve1:arc1", "1"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ define curve line: curve1:line5

With Line
     .Reset 
     .Name "line5" 
     .Curve "curve1" 
     .X1 "0" 
     .Y1 "0" 
     .X2 "re(2*R, theta)" 
     .Y2 "im(2*R, theta)" 
     .Create
End With

'@ trim curves: curve1:line5 with: curve1:arc1

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "line5" 
  .CurveItem2 "arc1" 
  .DeleteEdges1 "2" 
  .DeleteEdges2 "" 
  .Trim 
End With

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ clear picks

Pick.ClearAllPicks

'@ pick end point

Pick.PickCurveEndpointFromId "curve1:line1", "1"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ define curve line: curve1:line6

With Line
     .Reset 
     .Name "line6" 
     .Curve "curve1" 
     .X1 "0" 
     .Y1 "0" 
     .X2 "re(-2*R, -(180-theta-theta0)-10)" 
     .Y2 "im(-2*R,-(180-theta-theta0)-10)" 
     .Create
End With

'@ trim curves: curve1:line6 with: curve1:arc1

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "line6" 
  .CurveItem2 "arc1" 
  .DeleteEdges1 "2" 
  .DeleteEdges2 "" 
  .Trim 
End With

'@ trim curves: curve1:line6 with: curve1:arc1

With TrimCurves 
  .Reset 
  .Curve "curve1" 
  .CurveItem1 "line6" 
  .CurveItem2 "arc1" 
  .DeleteEdges1 "" 
  .DeleteEdges2 "2" 
  .Trim 
End With

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ transform curve: translate curve1

With Transform 
     .Reset 
     .Name "curve1" 
     .Vector "0", "0", "-t-die_h" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .TranslateCurve 
End With

'@ define curve chamfer: curve1:chamfer1 on: line2,line4

With ChamferCurve 
  .Reset 
  .Name "chamfer1" 
  .Width "m" 
  .Curve "curve1" 
  .CurveItem1 "line2" 
  .CurveItem2 "line4" 
  .EdgeId1 "1" 
  .EdgeId2 "1" 
  .VertexId1 "2" 
  .VertexId2 "1" 
  .Create 
End With

'@ clear picks

Pick.ClearAllPicks

'@ define extrudeprofile: component1:microstripe

With ExtrudeCurve
     .Reset 
     .Name "microstripe" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "t" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "curve1:line5" 
     .Create
End With

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "4"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "3" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Free" 
     .Orientation "xmin" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "0" 
     .Yrange "-18", "0" 
     .Zrange "-2", "2" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ define frequency range

Solver.FrequencyRange "6", "14"

'@ define monitor: h-field (f=10)

With Monitor 
     .Reset 
     .Name "h-field (f=10)" 
     .Dimension "Volume" 
     .Domain "Frequency" 
     .FieldType "Hfield" 
     .Frequency "10" 
     .Create 
End With

'@ define monitor: h-field (f=9)

With Monitor 
     .Reset 
     .Name "h-field (f=9)" 
     .Dimension "Volume" 
     .Domain "Frequency" 
     .FieldType "Hfield" 
     .Frequency "9" 
     .Create 
End With

'@ define monitor: h-field (f=11)

With Monitor 
     .Reset 
     .Name "h-field (f=11)" 
     .Dimension "Volume" 
     .Domain "Frequency" 
     .FieldType "Hfield" 
     .Frequency "11" 
     .Create 
End With

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "6"

'@ define port: 2

With Port 
     .Reset 
     .PortNumber "2" 
     .NumberOfModes "3" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Free" 
     .Orientation "xmax" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "50", "50" 
     .Yrange "-18", "0" 
     .Zrange "-2", "2" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ delete port: port2

Port.Delete "2"

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "6"

'@ define port: 2

With Port 
     .Reset 
     .PortNumber "2" 
     .NumberOfModes "3" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "23", "23" 
     .Yrange "-18", "0" 
     .Zrange "0", "0.254" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "2", "2" 
     .SingleEnded "False" 
     .Create 
End With

'@ delete port: port1

Port.Delete "1"

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "4"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "3" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "0" 
     .Yrange "-18", "0" 
     .Zrange "0", "0.254" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "2", "2" 
     .SingleEnded "False" 
     .Create 
End With

'@ transform: translate component1:microstripe

With Transform 
     .Reset 
     .Name "component1:microstripe" 
     .Vector "0", "0", "-t" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "False" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .TranslateAdvanced 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ switch working plane

Plot.DrawWorkplane "false"

'@ set parametersweep options

With ParameterSweep
    .SetSimulationType "Transient" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ set parametersweep options

With ParameterSweep
    .SetSimulationType "Calculate port modes only" 
End With

'@ define material colour: Rogers RO4350 (loss free)

With Material 
     .Name "Rogers RO4350 (loss free)" 
     .Colour "0", "0.501961", "0.501961" 
     .Wireframe "False" 
     .Reflection "False" 
     .Allowoutline "True" 
     .Transparentoutline "False" 
     .Transparency "0" 
     .ChangeColour 
End With

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ delete port: port2

Port.Delete "2"

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ clear picks

Pick.ClearAllPicks

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "4"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "4" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "0" 
     .Yrange "-18", "0" 
     .Zrange "0", "0.254" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0", "-10" 
     .ZrangeAdd "2", "2" 
     .SingleEnded "False" 
     .Create 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ define special solver parameters

With Solver 
     .TimeBetweenUpdates "1200" 
     .NumberOfPulseWidths "60" 
     .EnergyBalanceLimit "0.03" 
     .UseArfilter "False" 
     .ArMaxEnergyDeviation "0.1" 
     .ArPulseSkip "1" 
     .WaveguideBroadband "False" 
     .SetBBPSamples "5" 
     .SetSamplesFullDeembedding "20" 
     .MatrixDump "False" 
     .TimestepReduction "0.45" 
     .NumberOfSubcycles "4" 
     .SubcycleFillLimit "70" 
     .SetSubcycleState "Automatic" 
     .SetSubgridCycleState "Automatic" 
     .SimplifiedPBAMethod "False" 
     .UseParallelization "True" 
     .MaximumNumberOfThreads "16" 
     .TimeStepStabilityFactor "1.0" 
     .UseOpenBoundaryForHigherModes "True" 
     .SetModeFreqFactor "0.5" 
     .SurfaceImpedanceOrder "10" 
     .SetPortShielding "False" 
     .FrequencySamples "1001" 
     .ConsiderTwoPortReciprocity "True" 
     .UseTSTAtPort "True" 
     .SParaAdjustment "True" 
     .RestartAfterInstabilityAbort "True" 
     .HardwareAcceleration "False" 
     .AdaptivePortMeshing "True" 
     .AccuracyAdaptivePortMeshing "1" 
     .PassesAdaptivePortMeshing "4" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ pick face

Pick.PickFaceFromId "component1:microstripe", "3"

'@ delete port: port1

Port.Delete "1"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "4" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "0" 
     .Yrange "-14.554", "-14" 
     .Zrange "-0.017", "0" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "3", "4.5" 
     .ZrangeAdd "2", "2" 
     .SingleEnded "False" 
     .Create 
End With

'@ define special solver parameters

With Solver 
     .TimeBetweenUpdates "1200" 
     .NumberOfPulseWidths "20" 
     .EnergyBalanceLimit "0.03" 
     .UseArfilter "False" 
     .ArMaxEnergyDeviation "0.1" 
     .ArPulseSkip "1" 
     .WaveguideBroadband "False" 
     .SetBBPSamples "5" 
     .SetSamplesFullDeembedding "20" 
     .MatrixDump "False" 
     .TimestepReduction "0.45" 
     .NumberOfSubcycles "4" 
     .SubcycleFillLimit "70" 
     .SetSubcycleState "Automatic" 
     .SetSubgridCycleState "Automatic" 
     .SimplifiedPBAMethod "False" 
     .UseParallelization "True" 
     .MaximumNumberOfThreads "16" 
     .TimeStepStabilityFactor "1.0" 
     .UseOpenBoundaryForHigherModes "True" 
     .SetModeFreqFactor "0.5" 
     .SurfaceImpedanceOrder "10" 
     .SetPortShielding "False" 
     .FrequencySamples "1001" 
     .ConsiderTwoPortReciprocity "True" 
     .UseTSTAtPort "True" 
     .SParaAdjustment "True" 
     .RestartAfterInstabilityAbort "True" 
     .HardwareAcceleration "False" 
     .AdaptivePortMeshing "True" 
     .AccuracyAdaptivePortMeshing "1" 
     .PassesAdaptivePortMeshing "4" 
End With

'@ delete port: port1

Port.Delete "1"

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "4"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "5" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "0" 
     .Yrange "-18", "0" 
     .Zrange "0", "0.254" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0", "-8" 
     .ZrangeAdd "2", "2" 
     .SingleEnded "False" 
     .Create 
End With

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ define frequency range

Solver.FrequencyRange "6", "14"

'@ clear picks

Pick.ClearAllPicks

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ pick end point

Pick.PickEndpointFromId "component1:cu", "22"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ execute macro: Construct\Curves\Create 2D-Curve analytical (xy-uv)

On Error GoTo Curve_Exists
	Curve.NewCurve "2D-Analytical"
Curve_Exists:
On Error GoTo 0
Dim sCurveName As String
sCurveName = "spline_1"
With Spline 
  .Reset 
  .Name sCurveName 
  .Curve "2D-Analytical"
' ======================================
' !!! Do not change ABOVE this line !!!
' ======================================
' -----------------------------------------------------------
' adjust x-range as for-loop parameters (xmin,max,stepsize)
' enter y-Function-statement within for-loop
' fixed parameters a,b,c have to be declared via Dim-Statement
' -----------------------------------------------------------
' NOTE: available MWS-Parameters can be used without 
'       declaration at any place (loop-dimensions, ...)
'       (for parametric curves during parameter-sweeps and optimisation !)
' -------------------------------------------
  Dim xxx As Double, yyy As Double
  
  Dim aaa As Double  ' not necessary if aaa is model parameter
  aaa = 1.23456/Atn(0.5)
   For xxx = 0 To  slot_ll  STEP  0.5
	yyy =((H-slot_w)/2/(exp(alfa*slot_ll)-1))*exp(alfa*xxx)-((H-slot_w)/2/(exp(alfa*slot_ll)-1))
	
	.LineTo xxx , yyy 
  Next xxx
' ======================================
' !!! Do not change BELOW this line !!!
' ======================================
  .Create 
End With 
SelectTreeItem("Curves\2D-Analytical\"+sCurveName)

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ transform curve: translate 2D-Analytical:spline_1

With Transform 
     .Reset 
     .Name "2D-Analytical:spline_1" 
     .Vector "0", "-slot_w", "0" 
     .UsePickedPoints "False" 
     .InvertPickedPoints "False" 
     .MultipleObjects "True" 
     .GroupObjects "False" 
     .Repetitions "1" 
     .MultipleSelection "False" 
     .Destination "" 
     .TranslateCurve 
End With

'@ delete curve item: 2D-Analytical:spline_1_1

Curve.DeleteCurveItem "2D-Analytical", "spline_1_1"

'@ pick end point

Pick.PickEndpointFromId "component1:cu", "20"

'@ align wcs with point

WCS.AlignWCSWithSelected "Point"

'@ execute macro: Construct\Curves\Create 2D-Curve analytical (xy-uv)

On Error GoTo Curve_Exists
	Curve.NewCurve "2D-Analytical"
Curve_Exists:
On Error GoTo 0
Dim sCurveName As String
sCurveName = "spline_2"
With Spline 
  .Reset 
  .Name sCurveName 
  .Curve "2D-Analytical"
' ======================================
' !!! Do not change ABOVE this line !!!
' ======================================
' -----------------------------------------------------------
' adjust x-range as for-loop parameters (xmin,max,stepsize)
' enter y-Function-statement within for-loop
' fixed parameters a,b,c have to be declared via Dim-Statement
' -----------------------------------------------------------
' NOTE: available MWS-Parameters can be used without 
'       declaration at any place (loop-dimensions, ...)
'       (for parametric curves during parameter-sweeps and optimisation !)
' -------------------------------------------
  Dim xxx As Double, yyy As Double
  
  Dim aaa As Double  ' not necessary if aaa is model parameter
  aaa = 1.23456/Atn(0.5)
  For xxx = 0 To  slot_ll  STEP  0.5
	yyy =-((H-slot_w)/2/(exp(alfa*slot_ll)-1))*exp(alfa*xxx)+((H-slot_w)/2/(exp(alfa*slot_ll)-1))
	.LineTo xxx , yyy 
  Next xxx
' ======================================
' !!! Do not change BELOW this line !!!
' ======================================
  .Create 
End With 
SelectTreeItem("Curves\2D-Analytical\"+sCurveName)

'@ pick edge

Pick.PickEdgeFromId "component1:cu", "23", "15"

'@ define curve item from edges: 2D-Analytical:edges1

With EdgeCurve
     .Reset 
     .Name "edges1" 
     .Curve "2D-Analytical" 
     .AddEdge "component1:cu", "23" 
     .Create
End With

'@ trim curves: 2D-Analytical:edges1 with: 2D-Analytical:spline_1

With TrimCurves 
  .Reset 
  .Curve "2D-Analytical" 
  .CurveItem1 "edges1" 
  .CurveItem2 "spline_1" 
  .DeleteEdges1 "23" 
  .DeleteEdges2 "" 
  .Trim 
End With

'@ trim curves: 2D-Analytical:spline_2 with: 2D-Analytical:edges1

With TrimCurves 
  .Reset 
  .Curve "2D-Analytical" 
  .CurveItem1 "spline_2" 
  .CurveItem2 "edges1" 
  .DeleteEdges1 "" 
  .DeleteEdges2 "25" 
  .Trim 
End With

'@ activate global coordinates

WCS.ActivateWCS "global"

'@ clear picks

Pick.ClearAllPicks

'@ pick edge

Pick.PickEdgeFromId "component1:cu", "28", "22"

'@ define curve item from edges: 2D-Analytical:edges2

With EdgeCurve
     .Reset 
     .Name "edges2" 
     .Curve "2D-Analytical" 
     .AddEdge "component1:cu", "28" 
     .Create
End With

'@ delete curve item: 2D-Analytical:edges2

Curve.DeleteCurveItem "2D-Analytical", "edges2"

'@ clear picks

Pick.ClearAllPicks

'@ pick edge

Pick.PickEdgeFromId "component1:cu", "28", "22"

'@ define curve item from edges: 2D-Analytical:edges2

With EdgeCurve
     .Reset 
     .Name "edges2" 
     .Curve "2D-Analytical" 
     .AddEdge "component1:cu", "28" 
     .Create
End With

'@ define extrudeprofile: component1:solid1

With ExtrudeCurve
     .Reset 
     .Name "solid1" 
     .Component "component1" 
     .Material "PEC" 
     .Thickness "t" 
     .Twistangle "0.0" 
     .Taperangle "0.0" 
     .Curve "2D-Analytical:spline_1" 
     .Create
End With

'@ boolean subtract shapes: component1:cu, component1:solid1

With Solid 
     .Version 9
     .Subtract "component1:cu", "component1:solid1" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ switch working plane

Plot.DrawWorkplane "true"

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ define automesh for: component1:cu

Solid.SetSolidMeshProperties "component1:cu", "PBA", "True", "0", "True", "True", "0.2", "0.2", "0.2", "0", "0", "0", "False", "1.0", "False", "1.0", "False", "True", "True"

'@ switch working plane

Plot.DrawWorkplane "true"

'@ define automesh for: component1:microstripe

Solid.SetSolidMeshProperties "component1:microstripe", "PBA", "True", "0", "True", "True", "0.2", "0.2", "0.2", "0", "0", "0", "False", "1.0", "False", "1.0", "False", "True", "True"

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "20" 
     .LinesPerWavelength "20" 
     .MinimumStepNumber "10.0" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "4"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "4" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "0" 
     .Yrange "-24", "0" 
     .Zrange "0", "0.254" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "-3.5", "-14.5" 
     .ZrangeAdd "2", "0.017" 
     .SingleEnded "False" 
     .Create 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "All" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ define special solver parameters

With Solver 
     .TimeBetweenUpdates "1200" 
     .NumberOfPulseWidths "20" 
     .EnergyBalanceLimit "0.03" 
     .UseArfilter "False" 
     .ArMaxEnergyDeviation "0.1" 
     .ArPulseSkip "1" 
     .WaveguideBroadband "False" 
     .SetBBPSamples "5" 
     .SetSamplesFullDeembedding "20" 
     .MatrixDump "False" 
     .TimestepReduction "0.45" 
     .NumberOfSubcycles "4" 
     .SubcycleFillLimit "70" 
     .SetSubcycleState "Automatic" 
     .SetSubgridCycleState "Automatic" 
     .SimplifiedPBAMethod "False" 
     .UseParallelization "True" 
     .MaximumNumberOfThreads "16" 
     .TimeStepStabilityFactor "1.0" 
     .UseOpenBoundaryForHigherModes "True" 
     .SetModeFreqFactor "0.5" 
     .SurfaceImpedanceOrder "10" 
     .SetPortShielding "True" 
     .FrequencySamples "1001" 
     .ConsiderTwoPortReciprocity "True" 
     .UseTSTAtPort "True" 
     .SParaAdjustment "True" 
     .RestartAfterInstabilityAbort "True" 
     .HardwareAcceleration "False" 
     .AdaptivePortMeshing "True" 
     .AccuracyAdaptivePortMeshing "1" 
     .PassesAdaptivePortMeshing "4" 
End With

'@ define automesh for: component1:cu

Solid.SetSolidMeshProperties "component1:cu", "PBA", "True", "0", "True", "True", "0", "0", "0", "0", "0", "0", "False", "1.0", "False", "1.0", "False", "True", "True"

'@ define automesh for: component1:microstripe

Solid.SetSolidMeshProperties "component1:microstripe", "PBA", "True", "0", "True", "True", "0", "0", "0", "0", "0", "0", "False", "1.0", "False", "1.0", "False", "True", "True"

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ define special solver parameters

With Solver 
     .TimeBetweenUpdates "1200" 
     .NumberOfPulseWidths "20" 
     .EnergyBalanceLimit "0.03" 
     .UseArfilter "False" 
     .ArMaxEnergyDeviation "0.1" 
     .ArPulseSkip "1" 
     .WaveguideBroadband "False" 
     .SetBBPSamples "5" 
     .SetSamplesFullDeembedding "20" 
     .MatrixDump "False" 
     .TimestepReduction "0.45" 
     .NumberOfSubcycles "4" 
     .SubcycleFillLimit "70" 
     .SetSubcycleState "Automatic" 
     .SetSubgridCycleState "Automatic" 
     .SimplifiedPBAMethod "False" 
     .UseParallelization "True" 
     .MaximumNumberOfThreads "16" 
     .TimeStepStabilityFactor "1.0" 
     .UseOpenBoundaryForHigherModes "True" 
     .SetModeFreqFactor "0.5" 
     .SurfaceImpedanceOrder "10" 
     .SetPortShielding "False" 
     .FrequencySamples "1001" 
     .ConsiderTwoPortReciprocity "True" 
     .UseTSTAtPort "True" 
     .SParaAdjustment "True" 
     .RestartAfterInstabilityAbort "True" 
     .HardwareAcceleration "False" 
     .AdaptivePortMeshing "True" 
     .AccuracyAdaptivePortMeshing "1" 
     .PassesAdaptivePortMeshing "4" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "20" 
     .LinesPerWavelength "10" 
     .MinimumStepNumber "5" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ define special solver parameters

With Solver 
     .TimeBetweenUpdates "1200" 
     .NumberOfPulseWidths "100" 
     .EnergyBalanceLimit "0.03" 
     .UseArfilter "False" 
     .ArMaxEnergyDeviation "0.1" 
     .ArPulseSkip "1" 
     .WaveguideBroadband "False" 
     .SetBBPSamples "5" 
     .SetSamplesFullDeembedding "20" 
     .MatrixDump "False" 
     .TimestepReduction "0.45" 
     .NumberOfSubcycles "4" 
     .SubcycleFillLimit "70" 
     .SetSubcycleState "Automatic" 
     .SetSubgridCycleState "Automatic" 
     .SimplifiedPBAMethod "False" 
     .UseParallelization "True" 
     .MaximumNumberOfThreads "16" 
     .TimeStepStabilityFactor "1.0" 
     .UseOpenBoundaryForHigherModes "True" 
     .SetModeFreqFactor "0.5" 
     .SurfaceImpedanceOrder "10" 
     .SetPortShielding "False" 
     .FrequencySamples "1001" 
     .ConsiderTwoPortReciprocity "True" 
     .UseTSTAtPort "True" 
     .SParaAdjustment "True" 
     .RestartAfterInstabilityAbort "True" 
     .HardwareAcceleration "False" 
     .AdaptivePortMeshing "True" 
     .AccuracyAdaptivePortMeshing "1" 
     .PassesAdaptivePortMeshing "4" 
End With

'@ define monitor: h-field (f=12.8)

With Monitor 
     .Reset 
     .Name "h-field (f=12.8)" 
     .Dimension "Volume" 
     .Domain "Frequency" 
     .FieldType "Hfield" 
     .Frequency "12.8" 
     .Create 
End With

'@ delete monitor: h-field (f=12.8)

Monitor.Delete "h-field (f=12.8)"

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ delete port: port1

Port.Delete "1"

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "4"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "4" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "0" 
     .Yrange "-24", "0" 
     .Zrange "0", "0.254" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0", "-18" 
     .ZrangeAdd "2.54-0.254", "0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "30" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "30" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ switch working plane

Plot.DrawWorkplane "true"

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "50" 
     .LinesPerWavelength "10" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ define frequency range

Solver.FrequencyRange "6", "14"

'@ define boundaries

With Boundary
     .Xmin "expanded open" 
     .Xmax "expanded open" 
     .Ymin "expanded open" 
     .Ymax "expanded open" 
     .Zmin "expanded open" 
     .Zmax "expanded open" 
     .Xsymmetry "none" 
     .Ysymmetry "none" 
     .Zsymmetry "none" 
     .XminThermal "isothermal" 
     .XmaxThermal "isothermal" 
     .YminThermal "isothermal" 
     .YmaxThermal "isothermal" 
     .ZminThermal "isothermal" 
     .ZmaxThermal "isothermal" 
     .XsymmetryThermal "none" 
     .YsymmetryThermal "none" 
     .ZsymmetryThermal "none" 
     .ApplyInAllDirections "True" 
     .XminTemperature "" 
     .XminTemperatureType "None" 
     .XmaxTemperature "" 
     .XmaxTemperatureType "None" 
     .YminTemperature "" 
     .YminTemperatureType "None" 
     .YmaxTemperature "" 
     .YmaxTemperatureType "None" 
     .ZminTemperature "" 
     .ZminTemperatureType "None" 
     .ZmaxTemperature "" 
     .ZmaxTemperatureType "None" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "30" 
     .LinesPerWavelength "10" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ define special solver parameters

With Solver 
     .TimeBetweenUpdates "1200" 
     .NumberOfPulseWidths "100" 
     .EnergyBalanceLimit "0.03" 
     .UseArfilter "False" 
     .ArMaxEnergyDeviation "0.1" 
     .ArPulseSkip "1" 
     .WaveguideBroadband "False" 
     .SetBBPSamples "5" 
     .SetSamplesFullDeembedding "20" 
     .MatrixDump "False" 
     .TimestepReduction "0.45" 
     .NumberOfSubcycles "4" 
     .SubcycleFillLimit "70" 
     .SetSubcycleState "Automatic" 
     .SetSubgridCycleState "Automatic" 
     .SimplifiedPBAMethod "False" 
     .UseParallelization "True" 
     .MaximumNumberOfThreads "16" 
     .TimeStepStabilityFactor "1.0" 
     .UseOpenBoundaryForHigherModes "True" 
     .SetModeFreqFactor "0.5" 
     .SurfaceImpedanceOrder "10" 
     .SetPortShielding "True" 
     .FrequencySamples "1001" 
     .ConsiderTwoPortReciprocity "True" 
     .UseTSTAtPort "True" 
     .SParaAdjustment "True" 
     .RestartAfterInstabilityAbort "True" 
     .HardwareAcceleration "False" 
     .AdaptivePortMeshing "True" 
     .AccuracyAdaptivePortMeshing "1" 
     .PassesAdaptivePortMeshing "4" 
End With

'@ set 3d mesh adaptation properties

With MeshAdaption3D
    .SetType "Time" 
    .SetAdaptionStrategy "Energy" 
    .MinPasses "2" 
    .MaxPasses "6" 
    .SkipPulses "0" 
    .CellIncreaseFactor "0.7" 
    .WeightE "1.0" 
    .WeightB "1.0" 
    .RefineX "True" 
    .RefineY "True" 
    .RefineZ "True" 
    .ClearStopCriteria
    .AddSParameterStopCriterion "True", "6", "14", "0.02", "1", "True" 
    .Add0DResultStopCriterion "", "0.02", "1", "False" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "30" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ delete port: port1

Port.Delete "1"

'@ delete monitor: h-field (f=9)

Monitor.Delete "h-field (f=9)"

'@ delete monitor: h-field (f=11)

Monitor.Delete "h-field (f=11)"

'@ pick face

Pick.PickFaceFromId "component1:dielectric", "4"

'@ define port: 1

With Port 
     .Reset 
     .PortNumber "1" 
     .NumberOfModes "2" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Picks" 
     .Orientation "positive" 
     .PortOnBound "False" 
     .ClipPickedPortToBound "False" 
     .Xrange "0", "0" 
     .Yrange "-18", "0" 
     .Zrange "0", "0.254" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0", "-12" 
     .ZrangeAdd "2.54-0.254", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ define frequency range

Solver.FrequencyRange "6", "14"

'@ define port: 2

With Port 
     .Reset 
     .PortNumber "2" 
     .NumberOfModes "1" 
     .AdjustPolarization False 
     .PolarizationAngle "0.0" 
     .ReferencePlaneDistance "0" 
     .TextSize "50" 
     .Coordinates "Full" 
     .Orientation "zmin" 
     .PortOnBound "True" 
     .ClipPickedPortToBound "False" 
     .Xrange "-3.7474056", "74.7474056" 
     .Yrange "-21.7474056", "3.7474056" 
     .Zrange "-6.0334056", "-6.0334056" 
     .XrangeAdd "0.0", "0.0" 
     .YrangeAdd "0.0", "0.0" 
     .ZrangeAdd "0.0", "0.0" 
     .SingleEnded "False" 
     .Create 
End With

'@ delete port: port2

Port.Delete "2"

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ set parametersweep options

With ParameterSweep
    .SetSimulationType "Transient" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "30" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ define automesh for: component1:cu

Solid.SetSolidMeshProperties "component1:cu", "PBA", "True", "0", "True", "True", "0", "0", "0", "0", "0", "0", "False", "1.0", "False", "1.0", "False", "True", "True"

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "50" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "30" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ set 3d mesh adaptation properties

With MeshAdaption3D
    .SetType "Time" 
    .SetAdaptionStrategy "Energy" 
    .MinPasses "2" 
    .MaxPasses "6" 
    .SkipPulses "0" 
    .CellIncreaseFactor "0.7" 
    .WeightE "1.0" 
    .WeightB "1.0" 
    .RefineX "True" 
    .RefineY "True" 
    .RefineZ "True" 
    .ClearStopCriteria
    .AddSParameterStopCriterion "True", "6", "14", "0.02", "1", "True" 
    .Add0DResultStopCriterion "", "0.02", "1", "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "50" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "20" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ set 3d mesh adaptation properties

With MeshAdaption3D
    .SetType "Time" 
    .SetAdaptionStrategy "Energy" 
    .MinPasses "2" 
    .MaxPasses "6" 
    .SkipPulses "0" 
    .CellIncreaseFactor "0.7" 
    .WeightE "1.0" 
    .WeightB "1.0" 
    .RefineX "True" 
    .RefineY "True" 
    .RefineZ "True" 
    .ClearStopCriteria
    .AddSParameterStopCriterion "True", "6", "14", "0.02", "1", "True" 
    .Add0DResultStopCriterion "", "0.02", "1", "False" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "50" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "30" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ define farfield monitor: farfield (f=10)

With Monitor 
     .Reset 
     .Name "farfield (f=10)" 
     .Domain "Frequency" 
     .FieldType "Farfield" 
	    .Frequency "10" 
     .Create 
End With

'@ farfield plot options

With FarfieldPlot 
     .Plottype "Polar" 
     .Vary "phi" 
     .Theta "0" 
     .Phi "0" 
     .Step "1" 
     .Step2 "1" 
     .SetLockSteps "True" 
     .SetPlotRangeOnly "False" 
     .SetThetaStart "0" 
     .SetThetaEnd "180" 
     .SetPhiStart "0" 
     .SetPhiEnd "360" 
     .SetTheta360 "False" 
     .SymmetricRange "False" 
     .SetTimeDomainFF "False" 
     .SetFrequency "10" 
     .SetTime "0" 
     .SetColorByValue "True" 
     .DrawStepLines "False" 
     .DrawIsoLongitudeLatitudeLines "False" 
     .ShowStructure "False" 
     .SetStructureTransparent "False" 
     .SetFarfieldTransparent "True" 
     .SetPlotMode "Directivity" 
     .Distance "1" 
     .UseFarfieldApproximation "True" 
     .SetScaleLinear "False" 
     .SetLogRange "40" 
     .DBUnit "0" 
     .EnableFixPlotMaximum "False" 
     .SetFixPlotMaximumValue "1.0" 
     .SetInverseAxialRatio "False" 
     .AlignToMainLobe "False" 
     .Phistart "1.000000e+000", "0.000000e+000", "0.000000e+000" 
     .Thetastart "0.000000e+000", "0.000000e+000", "1.000000e+000" 
     .PolarizationVector "0", "1", "0" 
     .SetCoordinateSystemType "spherical" 
     .Origin "bbox" 
     .Userorigin "0.000000e+000", "0.000000e+000", "0.000000e+000" 
     .SetUserDecouplingPlane "False" 
     .UseDecouplingPlane "False" 
     .DecouplingPlaneAxis "X" 
     .DecouplingPlanePosition "0.000000e+000" 
     .EnablePhaseCenterCalculation "False" 
     .SetPhaseCenterAngularLimit "30" 
     .SetPhaseCenterComponent "Theta" 
     .SetPhaseCenterPlane "both" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "True" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "1" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ farfield plot options

With FarfieldPlot 
     .Plottype "Polar" 
     .Vary "phi" 
     .Theta "0" 
     .Phi "0" 
     .Step "1" 
     .Step2 "1" 
     .SetLockSteps "True" 
     .SetPlotRangeOnly "False" 
     .SetThetaStart "0" 
     .SetThetaEnd "180" 
     .SetPhiStart "0" 
     .SetPhiEnd "360" 
     .SetTheta360 "False" 
     .SymmetricRange "False" 
     .SetTimeDomainFF "False" 
     .SetFrequency "10" 
     .SetTime "0" 
     .SetColorByValue "True" 
     .DrawStepLines "False" 
     .DrawIsoLongitudeLatitudeLines "False" 
     .ShowStructure "False" 
     .SetStructureTransparent "False" 
     .SetFarfieldTransparent "True" 
     .SetPlotMode "Directivity" 
     .Distance "1" 
     .UseFarfieldApproximation "True" 
     .SetScaleLinear "False" 
     .SetLogRange "40" 
     .DBUnit "0" 
     .EnableFixPlotMaximum "False" 
     .SetFixPlotMaximumValue "1.0" 
     .SetInverseAxialRatio "False" 
     .AlignToMainLobe "False" 
     .Phistart "1.000000e+000", "0.000000e+000", "0.000000e+000" 
     .Thetastart "0.000000e+000", "0.000000e+000", "1.000000e+000" 
     .PolarizationVector "0", "1", "0" 
     .SetCoordinateSystemType "spherical" 
     .Origin "bbox" 
     .Userorigin "0.000000e+000", "0.000000e+000", "0.000000e+000" 
     .SetUserDecouplingPlane "False" 
     .UseDecouplingPlane "False" 
     .DecouplingPlaneAxis "X" 
     .DecouplingPlanePosition "0.000000e+000" 
     .EnablePhaseCenterCalculation "False" 
     .SetPhaseCenterAngularLimit "30" 
     .SetPhaseCenterComponent "Theta" 
     .SetPhaseCenterPlane "both" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "1" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ define background

With Background 
     .Reset 
     .Type "Normal" 
     .Epsilon "1.0" 
     .Mue "1.0" 
     .ThermalType "Normal" 
     .ThermalConductivity "0.0" 
     .HeatCapacity "0.0" 
     .Rho "0.0" 
     .XminSpace "0.0" 
     .XmaxSpace "0.0" 
     .YminSpace "0.0" 
     .YmaxSpace "0.0" 
     .ZminSpace "0.0" 
     .ZmaxSpace "0.0" 
     .ApplyInAllDirections "False" 
End With

'@ define frequency range

Solver.FrequencyRange "6", "14"

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "20" 
     .LinesPerWavelength "10" 
     .MinimumStepNumber "5" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "True" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "30" 
     .LinesPerWavelength "20" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ define solver parameters

Mesh.SetCreator "High Frequency" 
With Solver 
     .CalculationType "TD-S" 
     .StimulationPort "All" 
     .StimulationMode "1" 
     .SteadyStateLimit "-30" 
     .MeshAdaption "False" 
     .AutoNormImpedance "False" 
     .NormingImpedance "50" 
     .CalculateModesOnly "False" 
     .SParaSymmetry "False" 
     .StoreTDResultsInCache "False" 
     .FullDeembedding "False" 
     .UseDistributedComputing "False" 
     .DistributeMatrixCalculation "False" 
     .MPIParallelization "False" 
     .SuperimposePLWExcitation "False" 
End With

'@ farfield plot options

With FarfieldPlot 
     .Plottype "Polar" 
     .Vary "phi" 
     .Theta "90" 
     .Phi "90" 
     .Step "1" 
     .Step2 "1" 
     .SetLockSteps "True" 
     .SetPlotRangeOnly "False" 
     .SetThetaStart "0" 
     .SetThetaEnd "180" 
     .SetPhiStart "0" 
     .SetPhiEnd "360" 
     .SetTheta360 "False" 
     .SymmetricRange "False" 
     .SetTimeDomainFF "False" 
     .SetFrequency "10" 
     .SetTime "0" 
     .SetColorByValue "True" 
     .DrawStepLines "False" 
     .DrawIsoLongitudeLatitudeLines "False" 
     .ShowStructure "False" 
     .SetStructureTransparent "False" 
     .SetFarfieldTransparent "True" 
     .SetPlotMode "Directivity" 
     .Distance "1" 
     .UseFarfieldApproximation "True" 
     .SetScaleLinear "False" 
     .SetLogRange "40" 
     .DBUnit "0" 
     .EnableFixPlotMaximum "False" 
     .SetFixPlotMaximumValue "1.0" 
     .SetInverseAxialRatio "False" 
     .AlignToMainLobe "False" 
     .Phistart "1.000000e+000", "0.000000e+000", "0.000000e+000" 
     .Thetastart "0.000000e+000", "0.000000e+000", "1.000000e+000" 
     .PolarizationVector "0", "1", "0" 
     .SetCoordinateSystemType "spherical" 
     .Origin "bbox" 
     .Userorigin "0.000000e+000", "0.000000e+000", "0.000000e+000" 
     .SetUserDecouplingPlane "False" 
     .UseDecouplingPlane "False" 
     .DecouplingPlaneAxis "X" 
     .DecouplingPlanePosition "0.000000e+000" 
     .EnablePhaseCenterCalculation "False" 
     .SetPhaseCenterAngularLimit "30" 
     .SetPhaseCenterComponent "Theta" 
     .SetPhaseCenterPlane "both" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ farfield plot options

With FarfieldPlot 
     .Plottype "Polar" 
     .Vary "phi" 
     .Theta "0" 
     .Phi "0" 
     .Step "1" 
     .Step2 "1" 
     .SetLockSteps "True" 
     .SetPlotRangeOnly "False" 
     .SetThetaStart "0" 
     .SetThetaEnd "180" 
     .SetPhiStart "0" 
     .SetPhiEnd "360" 
     .SetTheta360 "False" 
     .SymmetricRange "False" 
     .SetTimeDomainFF "False" 
     .SetFrequency "10" 
     .SetTime "0" 
     .SetColorByValue "True" 
     .DrawStepLines "False" 
     .DrawIsoLongitudeLatitudeLines "False" 
     .ShowStructure "False" 
     .SetStructureTransparent "False" 
     .SetFarfieldTransparent "True" 
     .SetPlotMode "Directivity" 
     .Distance "1" 
     .UseFarfieldApproximation "True" 
     .SetScaleLinear "False" 
     .SetLogRange "40" 
     .DBUnit "0" 
     .EnableFixPlotMaximum "False" 
     .SetFixPlotMaximumValue "1.0" 
     .SetInverseAxialRatio "False" 
     .AlignToMainLobe "False" 
     .Phistart "1.000000e+000", "0.000000e+000", "0.000000e+000" 
     .Thetastart "0.000000e+000", "0.000000e+000", "1.000000e+000" 
     .PolarizationVector "0", "1", "0" 
     .SetCoordinateSystemType "spherical" 
     .Origin "bbox" 
     .Userorigin "0.000000e+000", "0.000000e+000", "0.000000e+000" 
     .SetUserDecouplingPlane "False" 
     .UseDecouplingPlane "False" 
     .DecouplingPlaneAxis "X" 
     .DecouplingPlanePosition "0.000000e+000" 
     .EnablePhaseCenterCalculation "False" 
     .SetPhaseCenterAngularLimit "30" 
     .SetPhaseCenterComponent "Theta" 
     .SetPhaseCenterPlane "both" 
End With

'@ clear picks

Pick.ClearAllPicks

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "50" 
     .LinesPerWavelength "30" 
     .MinimumStepNumber "30" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ farfield plot options

With FarfieldPlot 
     .Plottype "3D" 
     .Vary "phi" 
     .Theta "90" 
     .Phi "90" 
     .Step "5" 
     .Step2 "5" 
     .SetLockSteps "True" 
     .SetPlotRangeOnly "False" 
     .SetThetaStart "0" 
     .SetThetaEnd "180" 
     .SetPhiStart "0" 
     .SetPhiEnd "360" 
     .SetTheta360 "False" 
     .SymmetricRange "False" 
     .SetTimeDomainFF "False" 
     .SetFrequency "10" 
     .SetTime "0" 
     .SetColorByValue "True" 
     .DrawStepLines "False" 
     .DrawIsoLongitudeLatitudeLines "False" 
     .ShowStructure "True" 
     .SetStructureTransparent "False" 
     .SetFarfieldTransparent "True" 
     .SetPlotMode "Directivity" 
     .Distance "1" 
     .UseFarfieldApproximation "True" 
     .SetScaleLinear "False" 
     .SetLogRange "40" 
     .DBUnit "0" 
     .EnableFixPlotMaximum "False" 
     .SetFixPlotMaximumValue "1.0" 
     .SetInverseAxialRatio "False" 
     .AlignToMainLobe "False" 
     .Phistart "1.000000e+000", "0.000000e+000", "0.000000e+000" 
     .Thetastart "0.000000e+000", "0.000000e+000", "1.000000e+000" 
     .PolarizationVector "0", "1", "0" 
     .SetCoordinateSystemType "spherical" 
     .Origin "bbox" 
     .Userorigin "0.000000e+000", "0.000000e+000", "0.000000e+000" 
     .SetUserDecouplingPlane "False" 
     .UseDecouplingPlane "False" 
     .DecouplingPlaneAxis "X" 
     .DecouplingPlanePosition "0.000000e+000" 
     .EnablePhaseCenterCalculation "False" 
     .SetPhaseCenterAngularLimit "30" 
     .SetPhaseCenterComponent "Theta" 
     .SetPhaseCenterPlane "both" 
End With

'@ set mesh properties

With Mesh 
     .UseRatioLimit "True" 
     .RatioLimit "30" 
     .LinesPerWavelength "20" 
     .MinimumStepNumber "10" 
     .Automesh "True" 
     .MeshType "PBA" 
     .SetCreator "High Frequency" 
End With

'@ farfield plot options

With FarfieldPlot 
     .Plottype "Polar" 
     .Vary "phi" 
     .Theta "90" 
     .Phi "90" 
     .Step "1" 
     .Step2 "1" 
     .SetLockSteps "True" 
     .SetPlotRangeOnly "False" 
     .SetThetaStart "0" 
     .SetThetaEnd "180" 
     .SetPhiStart "0" 
     .SetPhiEnd "360" 
     .SetTheta360 "False" 
     .SymmetricRange "False" 
     .SetTimeDomainFF "False" 
     .SetFrequency "10" 
     .SetTime "0" 
     .SetColorByValue "True" 
     .DrawStepLines "False" 
     .DrawIsoLongitudeLatitudeLines "False" 
     .ShowStructure "True" 
     .SetStructureTransparent "False" 
     .SetFarfieldTransparent "True" 
     .SetPlotMode "Directivity" 
     .Distance "1" 
     .UseFarfieldApproximation "True" 
     .SetScaleLinear "False" 
     .SetLogRange "40" 
     .DBUnit "0" 
     .EnableFixPlotMaximum "False" 
     .SetFixPlotMaximumValue "1.0" 
     .SetInverseAxialRatio "False" 
     .AlignToMainLobe "False" 
     .Phistart "1.000000e+000", "0.000000e+000", "0.000000e+000" 
     .Thetastart "0.000000e+000", "0.000000e+000", "1.000000e+000" 
     .PolarizationVector "0", "1", "0" 
     .SetCoordinateSystemType "spherical" 
     .Origin "bbox" 
     .Userorigin "0.000000e+000", "0.000000e+000", "0.000000e+000" 
     .SetUserDecouplingPlane "False" 
     .UseDecouplingPlane "False" 
     .DecouplingPlaneAxis "X" 
     .DecouplingPlanePosition "0.000000e+000" 
     .EnablePhaseCenterCalculation "False" 
     .SetPhaseCenterAngularLimit "30" 
     .SetPhaseCenterComponent "Theta" 
     .SetPhaseCenterPlane "both" 
End With 

